aboutsummaryrefslogtreecommitdiffstats
path: root/testing/sems/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-12 17:12:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-12 17:12:09 +0000
commitb5969ee185a0e97333da5f2ecc2d66bf50808294 (patch)
treed762a86685d2d89f68e72d6e4f3dff828b8c2373 /testing/sems/APKBUILD
parent70d84deaf0d28b468c246360aa1017daea663f39 (diff)
downloadaports-b5969ee185a0e97333da5f2ecc2d66bf50808294.tar.gz
aports-b5969ee185a0e97333da5f2ecc2d66bf50808294.tar.bz2
aports-b5969ee185a0e97333da5f2ecc2d66bf50808294.tar.xz
testing/sems: new aport
High performance, extensible media server for SIP (RFC3261) based VoIP services http://iptel.org/sems/
Diffstat (limited to 'testing/sems/APKBUILD')
-rw-r--r--testing/sems/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/sems/APKBUILD b/testing/sems/APKBUILD
new file mode 100644
index 0000000000..ff8c8b0e51
--- /dev/null
+++ b/testing/sems/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=sems
+pkgver=1.1.1
+pkgrel=0
+pkgdesc="High performance, extensible media server for SIP (RFC3261) based VoIP services"
+url="http://iptel.org/sems/"
+license="GPL-2"
+depends="kamailio"
+makedepends="python openssl-dev"
+install=
+subpackages=""
+source="http://ftp.iptel.org/pub/$pkgname/1.1/$pkgver/src/$pkgname-$pkgver.tar.gz
+ "
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ sed -i -e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
+ -e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' \
+ Makefile.defs \
+ || return 1
+
+ make PREFIX=/usr \
+ cfg-dir=/etc/sems/ \
+ CC="$CC" CXX="$CXX" \
+ exclude_modules="ivr examples py_sems" \
+ || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make PREFIX=/usr \
+ cfg-dir=/etc/sems/ \
+ exclude_modules="ivr examples py_sems" \
+ DESTDIR="$pkgdir" \
+ install || return 1
+
+ # remove the 2 lines below (and this) if there is no init.d script
+# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+# install -m644 -D "$srcdir"//$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="4a6422d09ddadaf9eacd8cae8f0848d5 sems-1.1.1.tar.gz"